Cerca nella FAQ di Swizzonic

PHP spegne le vecchie versioni di PHP

Aggiornate la vostra versione PHP nel conto utente.
Le vecchie versioni di PHP saranno disattivati.

Nelle “Configurazione di base” del suo account utente le vecchie versioni di PHP sono contrassegnati in rosso sotto “Amministrazione dei prodotti”.

Quelle versioni saranno disattivate in fasi successive a partire dall’11 novembre 2020.

Per le versioni 5 e 7.0 di PHP il supporto alla sicurezza è già stato interrotto. Per PHP 7.1 il supporto attivo è stato terminato il dicembre del 2019. Le versioni attuali supportate da php.net e la loro roadmap sono disponibili sul sito web di php.net.

» https://www.php.net/supported-versions.php

Sì, come cliente con un prodotto attivo WEB di Swizzonic si utilizza la funzionalità di PHP. Si prega di controllare se si dispone già dell’ultima versione. In caso contrario, si consiglia di passare il più presto possibile alla versione 7.3.6 attuale. Se dopo la conversione dovessero verificarsi dei problemi, ha ancora tempo per risolverli fino allo spegnimento.

Dalla versione 5.2 di PHP in su
Lo spegnimento delle versioni 5.2 e successive di PHP inizierà in fasi successive l’11 novembre 2020.

Per cambiare la versione di PHP, si devono aprire le impostazioni del dominio nella configurazione di base. Nelle impostazioni è possibile selezionare la versione desiderata nel dropdown menu. Si consiglia di passare direttamente alla versione 7.3.6.

  1. Effettuare il login nel conto utente su swizzonic.ch
  2. Sotto «Amministrazione di prodotti» «Configurazione di base» clicca con il tasto destro del mouse su «aprire», poi cambia al tab «Impostazioni».
  3. Qui ci sta un menu di scelta per le versioni diverse di PHP
    » Dopo l’upgrade alla versione corrente, l’avviso scompare nella configurazione di base.

Se non avete cambiato la versione PHP nel vostro account utente con una versione PHP attuale (dalla versione 7.2) prima dell’11.11.2020, correte il rischio che dopo l’11.11.2020 il sistema venga automaticamente cambiato alla versione 7.2. Se utilizza un CMS aggiornato come WordPress, Joomla, Joomla, ecc. saranno probabilmente compatibili. La cautela è necessaria soprattutto con le programmazioni più vecchie. Qui può accadere che alcuni componenti della sua pagina web non funzionino più correttamente ed è necessario ripararli.

Non esitare a contattarci per qualsiasi domanda. Il nostro servizio clienti è a vostra disposizione: https://faq.swizzonic.ch